<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
    <con:xquery>(:: pragma bea:global-element-parameter parameter="$checkProcessRequest" element="ns0:CheckProcessRequest" location="../proxy/xsd/ProbeService.msg.xsd" ::)
(:: pragma bea:global-element-parameter parameter="$checkProcessResponse" element="ns0:CheckProcessResponse" location="../proxy/xsd/ProbeService.msg.xsd" ::)
(:: pragma bea:global-element-return element="ns0:CheckProcessResponse" location="../proxy/xsd/ProbeService.msg.xsd" ::)

declare namespace ns0 = "nl.amis.messages/probeservice/v1";
declare namespace xf = "http://tempuri.org/ProbeService/xquery/CheckProcessResponse/";

declare function xf:CheckProcessResponse($checkProcessRequest as element(ns0:CheckProcessRequest),
    $checkProcessResponse as element(ns0:CheckProcessResponse))
    as element(ns0:CheckProcessResponse) {
        &lt;ns0:CheckProcessResponse>
            &lt;ns0:ProcessedResponse>
                {
                    fn:concat("ProbeServiceOSBProxy: String=", $checkProcessRequest/ns0:ProcessString, ", Number=", $checkProcessRequest/ns0:ProcessNumber, 
                    	", Date=", $checkProcessRequest/ns0:ProcessDate, " => ", $checkProcessResponse/ns0:ProcessedResponse)
                }
&lt;/ns0:ProcessedResponse>
        &lt;/ns0:CheckProcessResponse>
};

declare variable $checkProcessRequest as element(ns0:CheckProcessRequest) external;
declare variable $checkProcessResponse as element(ns0:CheckProcessResponse) external;

xf:CheckProcessResponse($checkProcessRequest,
    $checkProcessResponse)</con:xquery>
    <con:dependency location="../proxy/xsd/ProbeService.msg.xsd">
        <con:schema ref="ProbeServiceOSBProxy/proxy/xsd/ProbeService.msg"/>
    </con:dependency>
</con:xqueryEntry>